This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 636654 - Review Request: gorm - The GNUstep graphical interface builder
Review Request: gorm - The GNUstep graphical interface builder
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-22 15:55 EDT by Jochen Schmitt
Modified: 2010-12-02 12:31 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-02 12:31:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
michel: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jochen Schmitt 2010-09-22 15:55:31 EDT
Spec URL: http://www.herr-schmitt.de/pub/gorm/gorm.spec
SRPM URL: http://www.herr-schmitt.de/pub/gorm/gorm-1.2.12-1.fc13.src.rpm
Description:
Gorm is a acronym for GNUstep/Graphical Object Relationship Modeler,
It is a clone of the NextStep 'Interface Builder' application for GNUstep
With Gorm, a developer can build an interface very quickly and easily with
no code.
Comment 1 Michel Alexandre Salim 2010-09-22 16:36:11 EDT
Taking this; review to follow.
Comment 2 Michel Alexandre Salim 2010-10-31 10:44:29 EDT
License field needs updating, a tiny spelling error, and the spec file needs to
be untabified; after that this review can be approved

* TODO Review [80%]
** DONE Names [2/2]
*** DONE Package name
*** DONE Spec name
** DONE Meets [[http://fedoraproject.org/wiki/Packaging/Guidelines][guidelines]]
** DONE source files match upstream
   - md5sum: 7b068a369051f83d450d2a0dd464e8ee
** TODO License [2/3]
*** DONE License is Fedora-approved
*** FAIL License field accurate
    - Should be GPLv3+ not GPLv2+
*** DONE License included iff packaged by upstream
** TODO rpmlint [0/2]
*** FAIL on src.rpm
    - gorm.src:12: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 12)
      Minor problem, please untabify
*** FAIL on x86_64.rpm
    - http://koji.fedoraproject.org/koji/taskinfo?taskID=2567020
    - gorm.x86_64: W: no-manual-page-for-binary Gorm
      - can be ignored
    - gorm-devel.x86_64: W: no-documentation
      - can be ignored
    - gorm-doc.noarch: W: spelling-error %description -l en_US Thsi -> Thai, Th si, Th-si
      - this should be changed to "This"
** DONE Language & locale [3/3]
*** DONE Spec in US English
*** DONE Spec legible
*** N/A Use %find_lang to handle locale files
** DONE Build [3/3]
*** DONE Koji results
*** DONE BRs complete
*** DONE Directory ownership
** DONE Spec inspection [10/10]
*** DONE ldconfig for libraries
*** DONE No duplicate files
*** DONE File permissions
*** DONE Filenames must be UTF-8
*** DONE Has %clean section
    (except F-13+:
    https://fedoraproject.org/wiki/Packaging/Guidelines#.25clean) 
*** DONE %buildroot cleaned on %install
*** DONE Macro usage consistent
*** DONE Documentation [2/2]
**** DONE If large docs, separate -doc
**** DONE %doc files are non-essential
*** DONE Development [5/5]
**** DONE Headers in -devel
**** DONE If versioned .so's, unversioned in -devel
**** N/A Static only if necessary, put in -static
**** DONE -devel, -static requires main
**** DONE No .la
*** N/A Other subpackages
** N/A Desktop file validation
** N/A [[http://fedoraproject.org/wiki/Packaging/ScriptletSnippets][Scriptlets]]
Comment 4 Michel Alexandre Salim 2010-11-02 06:55:54 EDT
Looks good; APPROVED
Comment 5 Jochen Schmitt 2010-11-02 14:19:55 EDT
New Package SCM Request
=======================
Package Name: gorm
Short Description: The GNUstep graphical interface builder
Owners: foo s4504kr
Branches: f14 el6
InitialCC:
Comment 6 Kevin Fenzi 2010-11-02 23:58:51 EDT
WARNING: "foo" is not a valid FAS account.
WARNING: Requested package name gorm doesn't match bug summary Gorm 

Can you resubmit the request? 
If the package is 'gorm' can you change the bug summary to match?
Comment 7 Jochen Schmitt 2010-11-04 16:59:31 EDT
New Package SCM Request
=======================
Package Name: gorm
Short Description: The GNUstep graphical interface builder
Owners: s4504kr
Branches: f14 el6
InitialCC:
Comment 8 Jason Tibbitts 2010-11-05 13:20:22 EDT
Git done (by process-git-requests).
Comment 9 Luis Garrido 2010-11-08 07:52:34 EST
Not that it matters much, since it is soon going to go EOL, but this srpm fails in fc12:



gcc GormFunctions.m -c \
	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_GUI_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables -fno-strict-aliasing -fgnu-runtime -fconstant-string-class=NSConstantString -I.. -I. -I/home/kompoza/GNUstep/Library/Headers -I/usr/local/include -I/usr/include \
	       -o obj/GormCore.obj/GormFunctions.m.o
GormFunctions.m: In function '_GSObjCMethodNamesForClass':
GormFunctions.m:356: error: too many arguments to function 'GSObjCMethodNames'
GormFunctions.m: In function '_GSObjCVariableNames':
GormFunctions.m:371: error: too many arguments to function 'GSObjCVariableNames'
make[4]: *** [obj/GormCore.obj/GormFunctions.m.o] Error 1
make[4]: *** Waiting for unfinished jobs....
make[3]: *** [internal-library-all_] Error 2
make[2]: *** [GormCore.all.library.variables] Error 2
make[1]: *** [internal-all] Error 2
make[1]: Leaving directory `/home/kompoza/rpmbuild/BUILD/gorm-1.2.12/GormCore'
make: *** [internal-all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.ozzzDw (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.ozzzDw (%build)
Comment 10 Michel Alexandre Salim 2010-11-16 09:18:27 EST
Looks like the update in Bodhi fail to mention this ticket, and that's why the status has not changed:

https://admin.fedoraproject.org/updates/gorm-1.2.12-2.fc14

Jochen, that update has been in testing for over 7 days; could you request it to be pushed to stable?

Note You need to log in before you can comment on or make changes to this bug.